LibreOffice: ParagraphStyle Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | Public Attributes | List of all members
ParagraphStyle Service Referencepublished

specifies a style sheet for paragraphs within a com::sun::star::text::Text. More...

`import"ParagraphStyle.idl";`

Inheritance diagram for ParagraphStyle:

## Included Services
service | Style
| specifies administrative properties. More...
service | com::sun::star::xml::ParaUserDefinedAttributesSupplier
| contains user defined attributes for paragraphs. More...
service | ParagraphProperties
| specifies the style properties. More...
Included Services inherited from Style
service | com::sun::star::xml::UserDefinedAttributesSupplier
| contains user defined attributes. More...

## Public Attributes
long | ParaLeftMarginRelative
| determines the left margin of the paragraph relative to the ParaLeftMargin of the parent style. More...
long | ParaRightMarginRelative
| determines the right margin of the paragraph relative to the ParaRightMargin of the parent style. More...
long | ParaTopMarginRelative
| determines the top margin of the paragraph relative to the ParaTopMargin of the parent style. More...
long | ParaBottomMarginRelative
| determines the Bottom margin of the paragraph relative to the ParaBottomMargin of the parent style. More...
short | Category
| determines the category of a paragraph style. More...
float | CharDiffHeight
short | CharPropHeight
| This value contains the character height as percentage value relative to the height of the character in the parent style. More...
float | CharDiffHeightAsian
| This value contains the character height as difference in point to the height of the character in the parent style in Asian text. More...
short | CharPropHeightAsian
| This value contains the character height as percentage value relative to the height of the character in the parent style in Asian text. More...
float | CharDiffHeightComplex
| This value contains the character height as difference in point to the height of the character in the parent style in complex text. More...
short | CharPropHeightComplex
| This value contains the character height as percentage value relative to the height of the character in the parent style in complex text. More...
string | PageStyleName
| returns the name of the page style in use More...
Public Attributes inherited from Style
boolean | IsPhysical
| determines if a style is physically created. More...
string | FollowStyle
| contains the name of the style that is applied to the next paragraph. More...
string | DisplayName
| contains the name of the style as it is displayed in the user interface. More...
string | IsAutoUpdate
| determines if a style is automatically updated, if the properties of an object that the style is applied to are changed. More...
sequence< com::sun::star::beans::NamedValue > | ParaStyleConditions
| defines the context and styles for conditional paragraphs. More...
boolean | Hidden
| Flag indicating whether to hide the style in the UI. More...
sequence< com::sun::star::beans::PropertyValue > | StyleInteropGrabBag
| Grab bag of style properties, used as a string-any map for interim interop purposes. More...
Public Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the maximum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the maximum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...

## Additional Inherited Members
Exported Interfaces inherited from Style
interface | com::sun::star::style::XStyle
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XMultiPropertyStates
Public Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user. More...
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user. More...
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style. More...
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes. More...
Protected Attributes inherited from ParaUserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes of a paragraph. More...
Protected Attributes inherited from ParagraphProperties
com::sun::star::style::ParagraphAdjust | ParaAdjust
| determines the adjustment of a paragraph. More...
com::sun::star::style::LineSpacing | ParaLineSpacing
| contains the type of the line spacing of a paragraph. More...
com::sun::star::util::Color | ParaBackColor
| contains the paragraph background color. More...
boolean | ParaBackTransparent
| This value is `TRUE` if the paragraph background color is set to transparent. More...
string | ParaBackGraphicURL
| contains the value of a link for the background graphic of a paragraph. More...
string | ParaBackGraphicFilter
| contains the name of the graphic filter for the background graphic of a paragraph. More...
com::sun::star::style::GraphicLocation | ParaBackGraphicLocation
| contains the value for the position of a background graphic. More...
short | ParaLastLineAdjust
| determines the adjustment of the last line. More...
boolean | ParaExpandSingleWord
| determines if single words are stretched. More...
long | ParaLeftMargin
| determines the left margin of the paragraph in 100th mm. More...
long | ParaRightMargin
| determines the right margin of the paragraph in 100th mm. More...
long | ParaTopMargin
| determines the top margin of the paragraph in 100th mm. More...
long | ParaBottomMargin
| determines the bottom margin of the paragraph in 100th mm. More...
boolean | ParaContextMargin
| determines if contextual spacing is used. More...
sequence< com::sun::star::beans::PropertyValue > | ParaInteropGrabBag
| Grab bag of paragraph properties, used as a string-any map for interim interop purposes. More...
boolean | ParaLineNumberCount
| determines if the paragraph is included in the line numbering. More...
long | ParaLineNumberStartValue
| contains the start value for the line numbering. More...
string | PageDescName
| If this property is set, it creates a page break before the paragraph it belongs to and assigns the value as the name of the new page style sheet to use. More...
short | PageNumberOffset
| If a page break property is set at a paragraph, this property contains the new value for the page number. More...
boolean | ParaRegisterModeActive
| determines if the register mode is applied to a paragraph. More...
sequence< com::sun::star::style::TabStop > | ParaTabStops
| specifies the positions and kinds of the tab stops within this paragraph. More...
string | ParaStyleName
| contains the name of the current paragraph style. More...
string | PageStyleName
| contains the name of the current page style. More...
com::sun::star::style::DropCapFormat | DropCapFormat
| specifies whether the first characters of the paragraph are displayed in capital letters and how they are formatted. More...
boolean | DropCapWholeWord
| specifies if the property DropCapFormat is applied to the whole first word. More...
boolean | ParaKeepTogether
| Setting this property to `TRUE` prevents page or column breaks between this and the following paragraph. More...
boolean | ParaSplit
| Setting this property to `FALSE` prevents the paragraph from getting split into two pages or columns. More...
short | NumberingLevel
| specifies the numbering level of the paragraph. More...
com::sun::star::container::XIndexReplace | NumberingRules
| contains the numbering rules applied to this paragraph. More...
short | NumberingStartValue
| specifies the start value for numbering if a new numbering starts at this paragraph. More...
boolean | ParaIsNumberingRestart
| determines if the numbering rules restart, counting at the current paragraph. More...
string | NumberingStyleName
| specifies the name of the style for the numbering. More...
byte | ParaOrphans
| specifies the minimum number of lines of the paragraph that have to be at bottom of a page if the paragraph is spread over more than one page. More...
byte | ParaWidows
| specifies the minimum number of lines of the paragraph that have to be at top of a page if the paragraph is spread over more than one page. More...
com::sun::star::table::ShadowFormat | ParaShadowFormat
| determines the type, color, and size of the shadow. More...
com::sun::star::table::BorderLine | LeftBorder
| contains the left border of the object. More...
com::sun::star::table::BorderLine | RightBorder
| contains the right border of the object. More...
com::sun::star::table::BorderLine | TopBorder
| contains the top border of the object. More...
com::sun::star::table::BorderLine | BottomBorder
| contains the bottom border of the object. More...
long | BorderDistance
| contains the distance from the border to the object. More...
long | LeftBorderDistance
| contains the distance from the left border to the object. More...
long | RightBorderDistance
| contains the distance from the right border to the object. More...
long | TopBorderDistance
| contains the distance from the top border to the object. More...
long | BottomBorderDistance
| contains the distance from the bottom border to the object. More...
com::sun::star::style::BreakType | BreakType
| determines the type of break that is applied at the beginning of the table. More...
string | DropCapCharStyleName
| specifies the character style name for drop caps. More...
long | ParaFirstLineIndent
| specifies the indent for the first line. More...
boolean | ParaIsAutoFirstLineIndent
| determines if the first line should be indented automatically. More...
boolean | ParaIsHyphenation
| specifies if automatic hyphenation is applied. More...
short | ParaHyphenationMaxHyphens
| specifies the maximum number of consecutive hyphens. More...
short | ParaHyphenationMaxLeadingChars
| specifies the maximum number of characters to remain before the hyphen character (when hyphenation is applied). More...
short | ParaHyphenationMaxTrailingChars
| specifies the maximum number of characters to remain after the hyphen character (when hyphenation is applied). More...
short | ParaVertAlignment
| specifies the vertical alignment of a paragraph. More...
com::sun::star::container::XNameContainer | ParaUserDefinedAttributes
| this property stores xml attributes. More...
boolean | NumberingIsNumber
| returns `FALSE` if the paragraph is part of a numbering, but has no numbering label. More...
boolean | ParaIsConnectBorder
| the property determines if borders set at a paragraph are merged with the next paragraph. More...
string | ListId
| specifies the id of the list to which the paragraph belongs More...
short | OutlineLevel
| specifies the outline level to which the paragraph belongs More...

## Detailed Description

specifies a style sheet for paragraphs within a com::sun::star::text::Text.

## Exported Interfaces

## ◆ com::sun::star::xml::ParaUserDefinedAttributesSupplier

service com::sun::star::xml::ParaUserDefinedAttributesSupplier
| optional

contains user defined attributes for paragraphs.

See also
  com::sun::star::xml::ParaUserDefinedAttributesSupplier

## ◆ ParagraphProperties

service ParagraphProperties

specifies the style properties.

## ◆ Style

service Style

specifies administrative properties.

## Member Data Documentation

## ◆ Category

short Category
| property

determines the category of a paragraph style.

See also
  com::sun::star::style::ParagraphStyleCategory

## ◆ CharDiffHeight

float CharDiffHeight
| property

## ◆ CharDiffHeightAsian

float CharDiffHeightAsian
| property

This value contains the character height as difference in point to the height of the character in the parent style in Asian text.

## ◆ CharDiffHeightComplex

float CharDiffHeightComplex
| property

This value contains the character height as difference in point to the height of the character in the parent style in complex text.

## ◆ CharPropHeight

short CharPropHeight
| property

This value contains the character height as percentage value relative to the height of the character in the parent style.

## ◆ CharPropHeightAsian

short CharPropHeightAsian
| property

This value contains the character height as percentage value relative to the height of the character in the parent style in Asian text.

## ◆ CharPropHeightComplex

short CharPropHeightComplex
| property

This value contains the character height as percentage value relative to the height of the character in the parent style in complex text.

## ◆ PageStyleName

string PageStyleName
| optionalpropertyreadonly

returns the name of the page style in use

For setting the page style you have to use the com::sun::star::text::PageDescName properties.

## ◆ ParaBottomMarginRelative

long ParaBottomMarginRelative
| property

determines the Bottom margin of the paragraph relative to the ParaBottomMargin of the parent style.

If the value of ParaBottomMarginRelative is 100 the current ParaBottomMargin value is used.

## ◆ ParaLeftMarginRelative

long ParaLeftMarginRelative
| property

determines the left margin of the paragraph relative to the ParaLeftMargin of the parent style.

If the value of ParaLeftMarginRelative is 100 the current ParaLeftMargin value is used.

## ◆ ParaRightMarginRelative

long ParaRightMarginRelative
| property

determines the right margin of the paragraph relative to the ParaRightMargin of the parent style.

If the value of ParaRightMarginRelative is 100 the current ParaRightMargin value is used.

## ◆ ParaTopMarginRelative

long ParaTopMarginRelative
| property

determines the top margin of the paragraph relative to the ParaTopMargin of the parent style.

If the value of ParaTopMarginRelative is 100 the current ParaTopMargin value is used.

The documentation for this service was generated from the following file:

- com/sun/star/style/ParagraphStyle.idl